Subject: bug#22066: 24.5; documentation for "values" is not accurate

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Feb 2021 11:00:46 -0500

FWIW, I think this `values` thingy should die.

It's just a memory leak plus one of the very few special-case variables
that are globally bound yet shouldn't be considered
a `special-variable-p` (The only other such cases I can remember are
`pi` (obsoleted by float-pi in 23.3) and `argv` and `argi` (both of
which should also be made obsolete, tho haven't yet either)).

IOW if we want to keep this feature, we should add some code to trim the
list and we should rename it so it doesn't need a special treatment.

        Stefan